using System.Collections.Generic;
using System.Text.Json.Serialization;
using Topsdk.Util;
using Topsdk.Top.Ability3152.Domain;

namespace Topsdk.Top.Ability3152.Response;

public class TaobaoTbkThorMfrsPromotionQueryResponse : AbstractTopApiResponse
{

    /*
        原商品信息
            */
    private TaobaoTbkThorMfrsPromotionQueryManufacturerItemsDto? sourceItem;


    /*
        分页大小
            */
    private string? pageSize;


    /*
        页码
            */
    private string? page;


    /*
        请求状态码
            */
    private string? status;


    /*
        异常描述
            */
    private string? desc;


    /*
        识图推荐商品信息
            */
    private IList<TaobaoTbkThorMfrsPromotionQueryManufacturerItemsDto>? itemList;


    [JsonPropertyName("source_item")]
    public TaobaoTbkThorMfrsPromotionQueryManufacturerItemsDto? SourceItem
    {
        get => sourceItem;
        set => this.sourceItem = value;
    }

    [JsonPropertyName("page_size")]
    public string? PageSize
    {
        get => pageSize;
        set => this.pageSize = value;
    }

    [JsonPropertyName("page")]
    public string? Page
    {
        get => page;
        set => this.page = value;
    }

    [JsonPropertyName("status")]
    public string? Status
    {
        get => status;
        set => this.status = value;
    }

    [JsonPropertyName("desc")]
    public string? Desc
    {
        get => desc;
        set => this.desc = value;
    }

    [JsonPropertyName("item_list")]
    public IList<TaobaoTbkThorMfrsPromotionQueryManufacturerItemsDto>? ItemList
    {
        get => itemList;
        set => this.itemList = value;
    }

}

